package com.td.Dawa.game.complayers.service;

import com.td.Dawa.common.service.*;
import com.td.Dawa.game.complayers.pojo.ComPlayers;
import com.td.Dawa.game.complayers.vo.ComPlayersVo;

import java.util.List;

public interface ComPlayersService extends CommonService<ComPlayersVo, ComPlayers, Integer> {

    /**
     * 根据用户id查询玩家角色
     * @param userId
     * @return
     */
    ComPlayers findByUserId(String userId);

    ComPlayers addComPlayers(ComPlayers comPlayers);

    List<String> findUserIds();
}
